/*****************************************************************************/
/*!
 * \file c_interface_defs.h
 * 
 * Author: Clark Barrett
 * 
 * Created: Thu Jun  5 13:16:26 2003
 *
 * <hr>
 * Copyright (C) 2003 by the Board of Trustees of Leland Stanford
 * Junior University and by New York University. 
 *
 * License to use, copy, modify, sell and/or distribute this software
 * and its documentation for any purpose is hereby granted without
 * royalty, subject to the terms and conditions defined in the \ref
 * LICENSE file provided with this distribution.  In particular:
 *
 * - The above copyright notice and this permission notice must appear
 * in all copies of the software and related documentation.
 *
 * - THE SOFTWARE IS PROVIDED "AS-IS", WITHOUT ANY WARRANTIES,
 * EXPRESSED OR IMPLIED.  USE IT AT YOUR OWN RISK.
 * 
 * <hr>
 * 
 */
/*****************************************************************************/

#ifndef _cvcl__include__c_interface_defs_h_
#define _cvcl__include__c_interface__defs_h_

typedef void* VC;
typedef void* Context;
typedef void* ExprManager;
typedef void* Flags;

typedef void* Expr;
typedef void* Op;
typedef void* Type;
typedef void* Proof;

#endif
